import { Strategies } from './types';
import { AxiosRequestConfigExtend } from '../types';
export default class Validator {
    private cache;
    constructor();
    /**
     * 新增分支策略，rules 可能为空
     */
    add(branch: string, rules?: Strategies[]): this;
    /**
     * 开始验证，循环配置的策略数组
     * ✨ 如果策略是一个异步，这里要用 await 来保证每个策略都会被穷举
     */
    start(branch: string, data: any, config: AxiosRequestConfigExtend): Promise<void>;
    get(): Record<string, any>;
}
